Tomcat Addon startet Lampp nicht mehr

Hier geht es um XAMPP AddOns wie z. B. das Apache-Konfigurations-Tool Apanatschi. Irgendwelche Probleme damit oder Fragen dazu? Dann ist hier genau der richtige Ort um nachzufragen.

Tomcat Addon startet Lampp nicht mehr

Postby Kxen » 16. May 2006 23:22

Ich hab auf meinem System (Debian Sarge) Xampp laufen. Wenn ich nun nach der Anleitung das Tomcat-Addon installiere startet Lampp nichtmehr.

Das kommt dabei heraus

/opt/lampp# ./lampp start
Starting XAMPP for Linux 1.5.2...
XAMPP: Starting Apache with SSL (and PHP5)...
XAMPP: Error 1! Couldn't start Apache!
XAMPP: Starting diagnose...
XAMPP: Sorry, I've no idea what's going wrong.
XAMPP: Please contact our forum http://community.apachefriends.org/f/
XAMPP: Starting MySQL...
XAMPP: Starting ProFTPD...
XAMPP for Linux started.


Java läuft. j2sdk-1.4.2.11
neuste XAMPP und neueste tomcat-addon version

Ich hab keine Ahnung was ich noch tun soll. Jemand eine Idee? Hab genau das gemacht was in der Readme steht.
Kxen
 
Posts: 5
Joined: 16. May 2006 23:17

Postby deepsurfer » 16. May 2006 23:36

schau dazu auch mal in
/opt/lampp/logs/ apachestart.log
darin müsste vermerkt sein warum der apache nicht will.
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
XAMPP Version: 5.6.3
Operating System: Win-XP / Win7 / Linux -Debian

Postby Kxen » 17. May 2006 01:59

OKay danke das hat schonmal geholfen.

Dabei kommt heraus:
httpd: Syntax error on line 503 of /opt/lampp/etc/httpd.conf: Syntax error on line 1 of /opt/lampp/etc/tomcat.conf: Cannot load /opt/lampp/modules/mod_jk2.so into server: /opt/lampp/modules/mod_jk2.so: undefined symbol: apr_pool_get_parent


Weiter hab ich herausgefunden das in Apache 2.20 apr_pool_get_parent ersetzt(?) wurde durch apr_pool_parent_get

So das ist also das Problem. Das Ding gibts in der Aktuellen Version von Apache nichmehr. Ergo auch nichmehr in der aktuellen Version von XAMPP.

=> Das Addon in der Form nich mehr zu gebrauchen, da in der fertigkompilierten .so ja leider nichtsmehr geändert werden kann.

Seh ich das richtig oder hab ich irgendwo einen Denkfehler? Bin noch relativ neu in der Linuxwelt 8)

Eigentlich müsste man doch einfach ein anderes kompiliertes Modul einsetzen können. Nur hab ich davon nich wirklich Plan von wie ich das machen soll :roll:
Kxen
 
Posts: 5
Joined: 16. May 2006 23:17

Postby deepsurfer » 17. May 2006 02:06

Jetzt auf den ersten Blick gebe ich deiner Vermutung recht.
Denn für die XAMPP-Linux Version finde ich auf anhieb das ADDOn nicht.
(Bei Windows gibt es eine aktuelle Version für 1.5.2)

Frage: wo hattest du das TomCat ADDON gedownloadet (URL) ?
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
XAMPP Version: 5.6.3
Operating System: Win-XP / Win7 / Linux -Debian

Postby Kxen » 17. May 2006 02:38

http://addons.xampp.org/cgi-bin/search.pl?pid=9

wurde anscheinend entwickelt für XAMPP 1.4.7

Ich denke mal das inzwischen einfach eine neuere Version von Apache integriert ist in der es eben ersetzt wurde. :(
Kxen
 
Posts: 5
Joined: 16. May 2006 23:17

Postby deepsurfer » 17. May 2006 03:01

Jup....dieses ADDON ist wie schon gesehen für XAMPP 1.4.7, und der Dieter Luka (DiLu) hat dieses ADDONprojekt für Linux nicht weiter gepflegt.

Wie schon angesprochen wurde das TomCat für die Windows-XAMPP Version weiter aufbereitet, leider nicht für Linux.

Da bliebe dir jetzt nur noch die selbst Installation des TomCat, um diese für XAMPP-Linux zu compilieren benötigt man das XAMPP-Linux-Developer Package.
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
XAMPP Version: 5.6.3
Operating System: Win-XP / Win7 / Linux -Debian

Postby Kxen » 17. May 2006 14:35

Okay trotzdem danke für die Hilfe.
Dann brauch ich leider XAMPP auch nich. Hatte vorher ein System auf dem ich alles zum laufen hatte. Blos TOMCAT bekomm ich einfach nich hin. Deswegen wollt ich dann XAMPP ausprobieren. Schade :(

Kleiner Tip: Vielleicht könnte man auf der Seite dazuschreiben das es mit der neuen Version nicht läuft. Würd sicher denke ich vielen ein bischen Ärger ersparen :)




Kennt jemand vielleicht eine alternative zu TOMCAT um mit APACHE .jsp anzuzeigen? Geronimo hab ich ma was von gehört mir konnte aber nich nie jemand sagen inwiefern das inzwischen stabil funktioniert. Oder andere Alternativen? Tomcat will bei mir einfach nich. :(
Kxen
 
Posts: 5
Joined: 16. May 2006 23:17

Postby deepsurfer » 17. May 2006 15:21

Kleiner Tip: Vielleicht könnte man auf der Seite dazuschreiben das es mit der neuen Version nicht läuft. Würd sicher denke ich vielen ein bischen Ärger ersparen

Gebe ich dir zum Teil recht, denn wie du selbst gelesen hast ist dieses Addon dort "Support für XAMPP Version 1.4.7 (mit PHP4/PHP5)"

Aber da würden wir jetzt ein Grundsatzdiskussion starten, prizipiell geb ich dir recht ;)
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
XAMPP Version: 5.6.3
Operating System: Win-XP / Win7 / Linux -Debian

Postby Kxen » 17. May 2006 15:24

hehe. Naja schlag ich mich mal weiter mit rum. Vielleicht bekomm ich das TOMCAT irgendwann zum schnurren :)
Kxen
 
Posts: 5
Joined: 16. May 2006 23:17


Return to XAMPP AddOns

Who is online

Users browsing this forum: No registered users and 1 guest